﻿using Infragistics.Controls.Menus;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataTreeEntityFrameworkCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        NORTHWNDEntities entities = new NORTHWNDEntities();

        
        public MainWindow()
        {
            InitializeComponent();          
            MyTree.ItemsSource = entities.Customers.ToList();            
            
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            foreach (var node in MyTree.Nodes)
            {
                if (((Customer)node.Data).CustomerID == "FISSA")
                {
                    node.IsSelected = true;
                    node.IsExpanded = true;
                    node.IsActive = true;
                    try
                    {
                        MyTree.ScrollNodeIntoView(node);
                    }
                    catch
                    {

                    }
                    break;
                }
            }
        }       
    }
}
